## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
# * The crate ships without the data or additional sources required for tests
%bcond check 0
%global debug_package %{nil}

%global crate tree-sitter

Name:           rust-tree-sitter0.24
Version:        0.24.7
Release:        %autorelease
Summary:        Rust bindings to the Tree-sitter parsing library

# tree-sitter license:  MIT
# The rest comes from bundled ICU4C sources
License:        MIT AND Unicode-DFS-2016 AND BSD-2-Clause AND BSD-3-Clause AND LicenseRef-Fedora-Public-Domain
URL:            https://crates.io/crates/tree-sitter
Source:         %{crates_source}
# * Upstream license file - tree-sitter/tree-sitter#1520
Source2:        https://github.com/tree-sitter/tree-sitter/raw/v%{version}/LICENSE#/LICENSE.upstream
# Manually created patch for downstream crate metadata changes
# * Fixup license for bundled ICU
# * Drop 'wasmtime' features
# * Make 'bindgen' required
# * Downgrade 'bindgen' to the version available in Fedora
Patch:          tree-sitter-fix-metadata.diff
# * Always generate bindings with bindgen
Patch2:         tree-sitter-build-bindings-unconditionally.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust bindings to the Tree-sitter parsing library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
# The create contains a bundled copy of the tree-sitter C library.
# MIT
Provides:       bundled(tree-sitter) = %{version}
# The tree-sitter C library contains a small subset of files from the ICU library
# Unicode-DFS-2016 AND BSD-2-Clause AND BSD-3-Clause AND LicenseRef-Fedora-Public-Domain
Provides:       bundled(icu) = 65.1

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/src/unicode/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# drop pre-generated bindings; we don't want to accidentally use these
rm -f binding_rust/bindings.rs

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install
# prepare upstream license file for %%license
install -D -m 0644 -pv %{SOURCE2} %{buildroot}%{crate_instdir}/LICENSE

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Apr 23 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.24.7-1
- Initial import (rust-tree-sitter 0.24 compat package)
## END: Generated by rpmautospec
